%define generic_name exam-env-webif

Summary: Exam Environment Web-Interface .inf² specific files
Name: %{generic_name}-inf2-specific
Version: 0.3.100.5
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/priv/sw/%{name}
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildArchitectures: noarch
Requires: exam-env-webif

%description
Contains the .inf² specific files of the Exam Environment Web-Interface part,
so exam-env-webif can stay generic.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p \
      %{buildroot}%{_sysconfdir}/{nginx/conf.d,%{name}/nginx-confs} \
      %{buildroot}%{_datarootdir}/%{generic_name}/static \
      %{buildroot}%{_docdir}/%{name}-%{version}

cp -a etc/exam-env-webif-inf2-specific/. \
   %{buildroot}%{_sysconfdir}/%{name}/nginx-confs/.
cp -a html/. %{buildroot}%{_datadir}/%{generic_name}/static/.
cp -a doc/. %{buildroot}%{_docdir}/%{name}-%{version}/.

%post
[ -e %{_sysconfdir}/nginx/conf.d/%{name}.conf ] || {
    _domain=$(hostname -d)
    _nginx_conf="%{_sysconfdir}/%{name}/nginx-confs/exam-env-webif-$_domain.conf"
    if [ -f "$_nginx_conf" ]
    then
        ln -snf "$_nginx_conf" "%{_sysconfdir}/nginx/conf.d/%{name}.conf"
    else
        echo "exam-env-webif-inf2-specific %post: no such file: $_nginx_conf" \
            >&2
        exit 1
    fi
}
if systemctl is-active --quiet nginx
then
    systemctl reload nginx
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/%{name}/nginx-confs/*
%ghost %{_sysconfdir}/nginx/conf.d/%{name}.conf
%{_datarootdir}/%{generic_name}/static
%doc %{_docdir}/%{name}-%{version}
